Bug 97293 - UI hangs when showing print dialog with unreachable IPP printer (CUPS)
Summary: UI hangs when showing print dialog with unreachable IPP printer (CUPS)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print-Dialog Network
  Show dependency treegraph
 
Reported: 2016-01-21 10:09 UTC by Felipe Borges
Modified: 2019-01-09 03:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felipe Borges 2016-01-21 10:09:25 UTC
If I add an unreachable CUPS server to my /etc/cups/client.conf and try to open the Print Dialog on LibreOffice, it freezes the whole UI.

Suggestion: the CUPS request for printers (cupsGetDests or http request) should be done in another thread.

How to reproduce:
1. Open /etc/cups/client.conf
2. Append "ServerName cups.nikhef.nl" (with no quotes), and save.
3. Open any LibreOffice application and try to print something.

Actual results:
UI freezes

Expected results:
Print Dialog to show.
Comment 1 Buovjaga 2016-01-26 13:06:59 UTC
Repro, but not in 5.0.4.

Felipe: what version did you try with?

Ubuntu 15.10 64-bit 
Version: 5.0.4.2
Build ID: 1:5.0.4~rc2-0ubuntu1~wily1
Locale: en-US (en_US.UTF-8)

Version: 5.2.0.0.alpha0+
Build ID: c43fdd74097cb12f69f86fd1217dd2f41ccae101
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2016-01-25_23:43:01
Locale: en-US (en_US.UTF-8)
Comment 2 Felipe Borges 2016-01-26 13:46:35 UTC
Fedora 23 64bits
Version: 5.0.4.2
Build ID: 5.0.4.2-3.fc23

version packaged on Fedora 23.
Comment 3 Buovjaga 2016-01-26 13:56:41 UTC
Strange.. it only hangs for me in 5.2.
Comment 4 RafaU 2018-01-08 10:40:33 UTC
The issue with "ghost" printer has a serious impact on the "styles and formatting" window (and "format->character" etc.), which freezes for about 5-10 seconds.

Wersja: 5.4.4.2
Build ID: 1:5.4.4~rc2-0ubuntu0.16.04.1~lo1
CPU threads: 4; OS: Linux 4.10; UI render: domyślny; VCL: gtk3; 
Ustawienia regionalne: pl-PL (pl_PL.UTF-8); Calc: group

Description:	Ubuntu 16.04.3 LTS
Comment 5 QA Administrators 2019-01-09 03:45:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug